#!/usr/bin/perl;

use strict;
use warnings;

use Test::More qw{no_plan bail};

#-----------------------------------------------------------------
#  
#-----------------------------------------------------------------
BEGIN {

package My::Test;
use Moose;
with qw{MooseX::MutatorAttributes};

has [qw{one two}] => (
   is => 'rw',
   isa => 'Int',
   default => 0,
);

sub add {
   my ($self) = @_;
   return $self->one + $self->two;
}

} # END BEGIN

#---------------------------------------------------------------------------
#  
#---------------------------------------------------------------------------
my $t  = My::Test->new();

is ( $t->add, 0 );
is ( $t->set(one => 12)->add, 12);
is ( $t->one, 12 );
is ( $t->set(one => 1, two => 1)->add, 2 ); 
is ( $t->one, 1 );
is ( $t->two, 1 );
